/*
 * led4x-ioctl.h
 *
 *  Created on: 22.6.2011
 *      Author: emlin
 */

#ifndef LED4X_IOCTL_H_
#define LED4X_IOCTL_H_

#include <linux/ioctl.h>

/*
 * zvolime si pokud mozno unikatni cislo, tzn. magic number ktere neni
 * v Documentation/ioctl/ioctl-number.txt
 */
#define LED4X_MAGIC_NO		0xE0

/*
 * seznam prikazu:
 *  LED4X_EN_BLINKING - zapne(1)/vypne(0) blikani LEDek
 *  LED4X_SET_PERIOD - nastavi periodu blikani v msec
 */
#define LED4X_EN_BLINKING	_IOW(LED4X_MAGIC_NO, 0, int *)
#define	LED4X_SET_PERIOD	_IOW(LED4X_MAGIC_NO, 1, int *)

/*
 * Nejvyssi poradove cislo prikazu - pouze ke kontrolnim ucelum v ovladaci.
 * POZOR !!! Nezapomen aktualizovat po pridani noveho prikazu
 */
#define LED4X_MAX_MCD_NO	1

#endif /* LED4X_IOCTL_H_ */
